package it.macke.is.services;

import it.macke.is.ServiceCall;
import it.macke.is.ServiceInput;
import it.macke.is.ServiceOutput;
import it.macke.is.common.ErrorInfo;

public class MapNaturalError extends ServiceCall<MapNaturalError.Input, MapNaturalError.Output>
{
	public class Input extends ServiceInput
	{
		public String errorFlag;
		public String errorCode;
		public String errorMessage;
		public NaturalErrorInfo ERROR_INFO;
	}

	public class Output extends ServiceOutput
	{
		public ErrorInfo error;
	}

	public MapNaturalError(String host)
	{
		super(host, "Common", "MapNaturalError");
	}

	public Input createInput()
	{
		return new Input();
	}

	@Override
	protected Output createOutput()
	{
		return new Output();
	}
}
