package it.macke.is.services;

import static org.hamcrest.core.Is.is;
import static org.junit.Assert.assertThat;
import it.macke.is.ServiceCall;

import org.junit.Before;
import org.junit.Test;

public class ConvertDateToN8Should
{
	protected ConvertDateToN8 sut;
	protected ConvertDateToN8.Input input;

	@Before
	public void setup()
	{
		sut = new ConvertDateToN8(ServiceCall.HOST_DEVELOPMENT);
		input = sut.createInput();
	}

	@Test
	public void convertValidDate() throws Exception
	{
		input.Date = "2008-10-15";
		ConvertDateToN8.Output output = sut.call(input);
		assertThat(output.DateN8, is("20081015"));
	}

}
